summaryrefslogtreecommitdiff
path: root/src/test
diff options
context:
space:
mode:
Diffstat (limited to 'src/test')
-rw-r--r--src/test/Makefile.am97
-rw-r--r--src/test/Makefile.in680
-rw-r--r--src/test/constant.h19
-rw-r--r--src/test/test.c62
-rw-r--r--src/test/test.h56
-rw-r--r--src/test/testCos.c150
-rw-r--r--src/test/testCos.h40
-rw-r--r--src/test/testCosh.c64
-rw-r--r--src/test/testCosh.h27
-rw-r--r--src/test/testExp.c63
-rw-r--r--src/test/testFind.c64
-rw-r--r--src/test/testIsEmpty.c79
-rw-r--r--src/test/testSin.c64
-rw-r--r--src/test/testSin.h27
-rw-r--r--src/test/testSinh.c64
-rw-r--r--src/test/testSinh.h27
-rw-r--r--src/test/testTan.c64
-rw-r--r--src/test/testTan.h27
-rw-r--r--src/test/testTanh.c91
-rw-r--r--src/test/testTanh.h39
20 files changed, 0 insertions, 1804 deletions
diff --git a/src/test/Makefile.am b/src/test/Makefile.am
deleted file mode 100644
index 0e52c527..00000000
--- a/src/test/Makefile.am
+++ /dev/null
@@ -1,97 +0,0 @@
-##
-## -*- makefile -*-
-##
-## Makefile.am
-## Made by Bruno JOFRET <bruno.jofret@inria.fr>
-##
-## Started on Thu Nov 30 16:33:40 2006 jofret
-## Last update Fri Mar 30 14:10:45 2007 jofret
-##
-## Copyright INRIA 2006
-##
-
-check_INCLUDES = -I $(top_builddir)/elementaryFunctions/includes \
- -I $(top_builddir)/type
-
-
-# noinst_bin = testCos
-
-#
-# -*- All checks programms -*-
-#
-check_PROGRAMS = testCos testSin testTan \
- testCosh testSinh testTanh
-#testAcos testAsin testAtan
-#testLog testExp testSqrt
-
-#
-# -*- Cosine Tests -*-
-#
-testCos_SOURCES = testCos.c
-testCos_CFLAGS = $(check_INCLUDES)
-testCos_LDADD = $(top_builddir)/lib/libDoubleComplex.a \
- $(top_builddir)/lib/libFloatComplex.a \
- $(top_builddir)/lib/libCos.a \
- $(top_builddir)/lib/libSin.a \
- $(top_builddir)/lib/libCosh.a \
- $(top_builddir)/lib/libSinh.a \
- @LIBMATH@
-
-#
-# -*- Sine Tests -*-
-#
-testSin_SOURCES = testSin.c
-testSin_CFLAGS = $(check_INCLUDES)
-testSin_LDADD = $(top_builddir)/lib/libDoubleComplex.a \
- $(top_builddir)/lib/libFloatComplex.a \
- $(top_builddir)/lib/libSin.a \
- @LIBMATH@
-
-#
-# -*- Tangeant Tests -*-
-#
-testTan_SOURCES = testTan.c
-testTan_CFLAGS = $(check_INCLUDES)
-testTan_LDADD = $(top_builddir)/lib/libDoubleComplex.a \
- $(top_builddir)/lib/libFloatComplex.a \
- $(top_builddir)/lib/libTan.a \
- @LIBMATH@
-
-#
-# -*- Hyperbolic Cosine Tests -*-
-#
-testCosh_SOURCES = testCosh.c
-testCosh_CFLAGS = $(check_INCLUDES)
-testCosh_LDADD = $(top_builddir)/lib/libDoubleComplex.a \
- $(top_builddir)/lib/libFloatComplex.a \
- $(top_builddir)/lib/libCosh.a \
- @LIBMATH@
-#
-# -*- Hyperbolic Sine Tests -*-
-#
-testSinh_SOURCES = testSinh.c
-testSinh_CFLAGS = $(check_INCLUDES)
-testSinh_LDADD = $(top_builddir)/lib/libDoubleComplex.a \
- $(top_builddir)/lib/libFloatComplex.a \
- $(top_builddir)/lib/libSinh.a \
- @LIBMATH@
-
-#
-# -*- Hyperbolic Tangeant Tests -*-
-#
-testTanh_SOURCES = testTanh.c
-testTanh_CFLAGS = $(check_INCLUDES)
-testTanh_LDADD = $(top_builddir)/lib/libDoubleComplex.a \
- $(top_builddir)/lib/libFloatComplex.a \
- $(top_builddir)/lib/libTanh.a \
- @LIBMATH@
-
-
-#
-# -*- All tests -*-
-#
-TESTS = testCos testSin testTan \
- testCosh testSinh testTanh
-#testAcos testAsin testAtan
-#testLog testExp testSqrt
-
diff --git a/src/test/Makefile.in b/src/test/Makefile.in
deleted file mode 100644
index 5bec2776..00000000
--- a/src/test/Makefile.in
+++ /dev/null
@@ -1,680 +0,0 @@
-# Makefile.in generated by automake 1.9.6 from Makefile.am.
-# @configure_input@
-
-# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
-# 2003, 2004, 2005 Free Software Foundation, Inc.
-# This Makefile.in is free software; the Free Software Foundation
-# gives unlimited permission to copy and/or distribute it,
-# with or without modifications, as long as this notice is preserved.
-
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
-# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
-# PARTICULAR PURPOSE.
-
-@SET_MAKE@
-srcdir = @srcdir@
-top_srcdir = @top_srcdir@
-VPATH = @srcdir@
-pkgdatadir = $(datadir)/@PACKAGE@
-pkglibdir = $(libdir)/@PACKAGE@
-pkgincludedir = $(includedir)/@PACKAGE@
-top_builddir = ..
-am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
-INSTALL = @INSTALL@
-install_sh_DATA = $(install_sh) -c -m 644
-install_sh_PROGRAM = $(install_sh) -c
-install_sh_SCRIPT = $(install_sh) -c
-INSTALL_HEADER = $(INSTALL_DATA)
-transform = $(program_transform_name)
-NORMAL_INSTALL = :
-PRE_INSTALL = :
-POST_INSTALL = :
-NORMAL_UNINSTALL = :
-PRE_UNINSTALL = :
-POST_UNINSTALL = :
-build_triplet = @build@
-host_triplet = @host@
-check_PROGRAMS = testCos$(EXEEXT) testSin$(EXEEXT) testTan$(EXEEXT) \
- testCosh$(EXEEXT) testSinh$(EXEEXT) testTanh$(EXEEXT)
-subdir = test
-DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
-ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
-am__aclocal_m4_deps = $(top_srcdir)/m4/fortran.m4 \
- $(top_srcdir)/configure.ac
-am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
- $(ACLOCAL_M4)
-mkinstalldirs = $(install_sh) -d
-CONFIG_HEADER = $(top_builddir)/includes/machine.h
-CONFIG_CLEAN_FILES =
-am_testCos_OBJECTS = testCos-testCos.$(OBJEXT)
-testCos_OBJECTS = $(am_testCos_OBJECTS)
-testCos_DEPENDENCIES = $(top_builddir)/lib/libDoubleComplex.a \
- $(top_builddir)/lib/libFloatComplex.a \
- $(top_builddir)/lib/libCos.a $(top_builddir)/lib/libSin.a \
- $(top_builddir)/lib/libCosh.a $(top_builddir)/lib/libSinh.a
-am_testCosh_OBJECTS = testCosh-testCosh.$(OBJEXT)
-testCosh_OBJECTS = $(am_testCosh_OBJECTS)
-testCosh_DEPENDENCIES = $(top_builddir)/lib/libDoubleComplex.a \
- $(top_builddir)/lib/libFloatComplex.a \
- $(top_builddir)/lib/libCosh.a
-am_testSin_OBJECTS = testSin-testSin.$(OBJEXT)
-testSin_OBJECTS = $(am_testSin_OBJECTS)
-testSin_DEPENDENCIES = $(top_builddir)/lib/libDoubleComplex.a \
- $(top_builddir)/lib/libFloatComplex.a \
- $(top_builddir)/lib/libSin.a
-am_testSinh_OBJECTS = testSinh-testSinh.$(OBJEXT)
-testSinh_OBJECTS = $(am_testSinh_OBJECTS)
-testSinh_DEPENDENCIES = $(top_builddir)/lib/libDoubleComplex.a \
- $(top_builddir)/lib/libFloatComplex.a \
- $(top_builddir)/lib/libSinh.a
-am_testTan_OBJECTS = testTan-testTan.$(OBJEXT)
-testTan_OBJECTS = $(am_testTan_OBJECTS)
-testTan_DEPENDENCIES = $(top_builddir)/lib/libDoubleComplex.a \
- $(top_builddir)/lib/libFloatComplex.a \
- $(top_builddir)/lib/libTan.a
-am_testTanh_OBJECTS = testTanh-testTanh.$(OBJEXT)
-testTanh_OBJECTS = $(am_testTanh_OBJECTS)
-testTanh_DEPENDENCIES = $(top_builddir)/lib/libDoubleComplex.a \
- $(top_builddir)/lib/libFloatComplex.a \
- $(top_builddir)/lib/libTanh.a
-DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/includes
-depcomp = $(SHELL) $(top_srcdir)/config/depcomp
-am__depfiles_maybe = depfiles
-COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
- $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
-CCLD = $(CC)
-LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
-SOURCES = $(testCos_SOURCES) $(testCosh_SOURCES) $(testSin_SOURCES) \
- $(testSinh_SOURCES) $(testTan_SOURCES) $(testTanh_SOURCES)
-DIST_SOURCES = $(testCos_SOURCES) $(testCosh_SOURCES) \
- $(testSin_SOURCES) $(testSinh_SOURCES) $(testTan_SOURCES) \
- $(testTanh_SOURCES)
-ETAGS = etags
-CTAGS = ctags
-DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = @ACLOCAL@
-AMDEP_FALSE = @AMDEP_FALSE@
-AMDEP_TRUE = @AMDEP_TRUE@
-AMTAR = @AMTAR@
-AUTOCONF = @AUTOCONF@
-AUTOHEADER = @AUTOHEADER@
-AUTOMAKE = @AUTOMAKE@
-AWK = @AWK@
-CC = @CC@
-CCDEPMODE = @CCDEPMODE@
-CFLAGS = @CFLAGS@
-CPP = @CPP@
-CPPFLAGS = @CPPFLAGS@
-CXX = @CXX@
-CXXDEPMODE = @CXXDEPMODE@
-CXXFLAGS = @CXXFLAGS@
-CYGPATH_W = @CYGPATH_W@
-DEFS = @DEFS@
-DEPDIR = @DEPDIR@
-ECHO_C = @ECHO_C@
-ECHO_N = @ECHO_N@
-ECHO_T = @ECHO_T@
-EGREP = @EGREP@
-EXEEXT = @EXEEXT@
-F77 = @F77@
-FFLAGS = @FFLAGS@
-INSTALL_DATA = @INSTALL_DATA@
-INSTALL_PROGRAM = @INSTALL_PROGRAM@
-INSTALL_SCRIPT = @INSTALL_SCRIPT@
-INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
-LDFLAGS = @LDFLAGS@
-LIBMATH = @LIBMATH@
-LIBOBJS = @LIBOBJS@
-LIBS = @LIBS@
-LN_S = @LN_S@
-LTLIBOBJS = @LTLIBOBJS@
-MAINT = @MAINT@
-MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
-MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
-MAKEINFO = @MAKEINFO@
-OBJEXT = @OBJEXT@
-PACKAGE = @PACKAGE@
-PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
-PACKAGE_NAME = @PACKAGE_NAME@
-PACKAGE_STRING = @PACKAGE_STRING@
-PACKAGE_TARNAME = @PACKAGE_TARNAME@
-PACKAGE_VERSION = @PACKAGE_VERSION@
-PATH_SEPARATOR = @PATH_SEPARATOR@
-RANLIB = @RANLIB@
-SET_MAKE = @SET_MAKE@
-SHELL = @SHELL@
-STRIP = @STRIP@
-VERSION = @VERSION@
-ac_ct_CC = @ac_ct_CC@
-ac_ct_CXX = @ac_ct_CXX@
-ac_ct_F77 = @ac_ct_F77@
-ac_ct_RANLIB = @ac_ct_RANLIB@
-ac_ct_STRIP = @ac_ct_STRIP@
-am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
-am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
-am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
-am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
-am__include = @am__include@
-am__leading_dot = @am__leading_dot@
-am__quote = @am__quote@
-am__tar = @am__tar@
-am__untar = @am__untar@
-bindir = @bindir@
-build = @build@
-build_alias = @build_alias@
-build_cpu = @build_cpu@
-build_os = @build_os@
-build_vendor = @build_vendor@
-datadir = @datadir@
-exec_prefix = @exec_prefix@
-host = @host@
-host_alias = @host_alias@
-host_cpu = @host_cpu@
-host_os = @host_os@
-host_vendor = @host_vendor@
-includedir = @includedir@
-infodir = @infodir@
-install_sh = @install_sh@
-libdir = @libdir@
-libexecdir = @libexecdir@
-localstatedir = @localstatedir@
-mandir = @mandir@
-mkdir_p = @mkdir_p@
-oldincludedir = @oldincludedir@
-prefix = @prefix@
-program_transform_name = @program_transform_name@
-sbindir = @sbindir@
-sharedstatedir = @sharedstatedir@
-sysconfdir = @sysconfdir@
-target_alias = @target_alias@
-check_INCLUDES = -I $(top_builddir)/elementaryFunctions/includes \
- -I $(top_builddir)/type
-
-#testAcos testAsin testAtan
-#testLog testExp testSqrt
-
-#
-# -*- Cosine Tests -*-
-#
-testCos_SOURCES = testCos.c
-testCos_CFLAGS = $(check_INCLUDES)
-testCos_LDADD = $(top_builddir)/lib/libDoubleComplex.a \
- $(top_builddir)/lib/libFloatComplex.a \
- $(top_builddir)/lib/libCos.a \
- $(top_builddir)/lib/libSin.a \
- $(top_builddir)/lib/libCosh.a \
- $(top_builddir)/lib/libSinh.a \
- @LIBMATH@
-
-
-#
-# -*- Sine Tests -*-
-#
-testSin_SOURCES = testSin.c
-testSin_CFLAGS = $(check_INCLUDES)
-testSin_LDADD = $(top_builddir)/lib/libDoubleComplex.a \
- $(top_builddir)/lib/libFloatComplex.a \
- $(top_builddir)/lib/libSin.a \
- @LIBMATH@
-
-
-#
-# -*- Tangeant Tests -*-
-#
-testTan_SOURCES = testTan.c
-testTan_CFLAGS = $(check_INCLUDES)
-testTan_LDADD = $(top_builddir)/lib/libDoubleComplex.a \
- $(top_builddir)/lib/libFloatComplex.a \
- $(top_builddir)/lib/libTan.a \
- @LIBMATH@
-
-
-#
-# -*- Hyperbolic Cosine Tests -*-
-#
-testCosh_SOURCES = testCosh.c
-testCosh_CFLAGS = $(check_INCLUDES)
-testCosh_LDADD = $(top_builddir)/lib/libDoubleComplex.a \
- $(top_builddir)/lib/libFloatComplex.a \
- $(top_builddir)/lib/libCosh.a \
- @LIBMATH@
-
-#
-# -*- Hyperbolic Sine Tests -*-
-#
-testSinh_SOURCES = testSinh.c
-testSinh_CFLAGS = $(check_INCLUDES)
-testSinh_LDADD = $(top_builddir)/lib/libDoubleComplex.a \
- $(top_builddir)/lib/libFloatComplex.a \
- $(top_builddir)/lib/libSinh.a \
- @LIBMATH@
-
-
-#
-# -*- Hyperbolic Tangeant Tests -*-
-#
-testTanh_SOURCES = testTanh.c
-testTanh_CFLAGS = $(check_INCLUDES)
-testTanh_LDADD = $(top_builddir)/lib/libDoubleComplex.a \
- $(top_builddir)/lib/libFloatComplex.a \
- $(top_builddir)/lib/libTanh.a \
- @LIBMATH@
-
-
-#
-# -*- All tests -*-
-#
-TESTS = testCos testSin testTan \
- testCosh testSinh testTanh
-
-all: all-am
-
-.SUFFIXES:
-.SUFFIXES: .c .o .obj
-$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(am__configure_deps)
- @for dep in $?; do \
- case '$(am__configure_deps)' in \
- *$$dep*) \
- cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
- && exit 0; \
- exit 1;; \
- esac; \
- done; \
- echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign test/Makefile'; \
- cd $(top_srcdir) && \
- $(AUTOMAKE) --foreign test/Makefile
-.PRECIOUS: Makefile
-Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
- @case '$?' in \
- *config.status*) \
- cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
- *) \
- echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
- cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
- esac;
-
-$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
- cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
-
-$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
- cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
-$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
- cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
-
-clean-checkPROGRAMS:
- -test -z "$(check_PROGRAMS)" || rm -f $(check_PROGRAMS)
-testCos$(EXEEXT): $(testCos_OBJECTS) $(testCos_DEPENDENCIES)
- @rm -f testCos$(EXEEXT)
- $(LINK) $(testCos_LDFLAGS) $(testCos_OBJECTS) $(testCos_LDADD) $(LIBS)
-testCosh$(EXEEXT): $(testCosh_OBJECTS) $(testCosh_DEPENDENCIES)
- @rm -f testCosh$(EXEEXT)
- $(LINK) $(testCosh_LDFLAGS) $(testCosh_OBJECTS) $(testCosh_LDADD) $(LIBS)
-testSin$(EXEEXT): $(testSin_OBJECTS) $(testSin_DEPENDENCIES)
- @rm -f testSin$(EXEEXT)
- $(LINK) $(testSin_LDFLAGS) $(testSin_OBJECTS) $(testSin_LDADD) $(LIBS)
-testSinh$(EXEEXT): $(testSinh_OBJECTS) $(testSinh_DEPENDENCIES)
- @rm -f testSinh$(EXEEXT)
- $(LINK) $(testSinh_LDFLAGS) $(testSinh_OBJECTS) $(testSinh_LDADD) $(LIBS)
-testTan$(EXEEXT): $(testTan_OBJECTS) $(testTan_DEPENDENCIES)
- @rm -f testTan$(EXEEXT)
- $(LINK) $(testTan_LDFLAGS) $(testTan_OBJECTS) $(testTan_LDADD) $(LIBS)
-testTanh$(EXEEXT): $(testTanh_OBJECTS) $(testTanh_DEPENDENCIES)
- @rm -f testTanh$(EXEEXT)
- $(LINK) $(testTanh_LDFLAGS) $(testTanh_OBJECTS) $(testTanh_LDADD) $(LIBS)
-
-mostlyclean-compile:
- -rm -f *.$(OBJEXT)
-
-distclean-compile:
- -rm -f *.tab.c
-
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/testCos-testCos.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/testCosh-testCosh.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/testSin-testSin.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/testSinh-testSinh.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/testTan-testTan.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/testTanh-testTanh.Po@am__quote@
-
-.c.o:
-@am__fastdepCC_TRUE@ if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
-@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@ $(COMPILE) -c $<
-
-.c.obj:
-@am__fastdepCC_TRUE@ if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
-@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@ $(COMPILE) -c `$(CYGPATH_W) '$<'`
-
-testCos-testCos.o: testCos.c
-@am__fastdepCC_TRUE@ if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testCos_CFLAGS) $(CFLAGS) -MT testCos-testCos.o -MD -MP -MF "$(DEPDIR)/testCos-testCos.Tpo" -c -o testCos-testCos.o `test -f 'testCos.c' || echo '$(srcdir)/'`testCos.c; \
-@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/testCos-testCos.Tpo" "$(DEPDIR)/testCos-testCos.Po"; else rm -f "$(DEPDIR)/testCos-testCos.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='testCos.c' object='testCos-testCos.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testCos_CFLAGS) $(CFLAGS) -c -o testCos-testCos.o `test -f 'testCos.c' || echo '$(srcdir)/'`testCos.c
-
-testCos-testCos.obj: testCos.c
-@am__fastdepCC_TRUE@ if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testCos_CFLAGS) $(CFLAGS) -MT testCos-testCos.obj -MD -MP -MF "$(DEPDIR)/testCos-testCos.Tpo" -c -o testCos-testCos.obj `if test -f 'testCos.c'; then $(CYGPATH_W) 'testCos.c'; else $(CYGPATH_W) '$(srcdir)/testCos.c'; fi`; \
-@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/testCos-testCos.Tpo" "$(DEPDIR)/testCos-testCos.Po"; else rm -f "$(DEPDIR)/testCos-testCos.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='testCos.c' object='testCos-testCos.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testCos_CFLAGS) $(CFLAGS) -c -o testCos-testCos.obj `if test -f 'testCos.c'; then $(CYGPATH_W) 'testCos.c'; else $(CYGPATH_W) '$(srcdir)/testCos.c'; fi`
-
-testCosh-testCosh.o: testCosh.c
-@am__fastdepCC_TRUE@ if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testCosh_CFLAGS) $(CFLAGS) -MT testCosh-testCosh.o -MD -MP -MF "$(DEPDIR)/testCosh-testCosh.Tpo" -c -o testCosh-testCosh.o `test -f 'testCosh.c' || echo '$(srcdir)/'`testCosh.c; \
-@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/testCosh-testCosh.Tpo" "$(DEPDIR)/testCosh-testCosh.Po"; else rm -f "$(DEPDIR)/testCosh-testCosh.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='testCosh.c' object='testCosh-testCosh.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testCosh_CFLAGS) $(CFLAGS) -c -o testCosh-testCosh.o `test -f 'testCosh.c' || echo '$(srcdir)/'`testCosh.c
-
-testCosh-testCosh.obj: testCosh.c
-@am__fastdepCC_TRUE@ if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testCosh_CFLAGS) $(CFLAGS) -MT testCosh-testCosh.obj -MD -MP -MF "$(DEPDIR)/testCosh-testCosh.Tpo" -c -o testCosh-testCosh.obj `if test -f 'testCosh.c'; then $(CYGPATH_W) 'testCosh.c'; else $(CYGPATH_W) '$(srcdir)/testCosh.c'; fi`; \
-@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/testCosh-testCosh.Tpo" "$(DEPDIR)/testCosh-testCosh.Po"; else rm -f "$(DEPDIR)/testCosh-testCosh.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='testCosh.c' object='testCosh-testCosh.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testCosh_CFLAGS) $(CFLAGS) -c -o testCosh-testCosh.obj `if test -f 'testCosh.c'; then $(CYGPATH_W) 'testCosh.c'; else $(CYGPATH_W) '$(srcdir)/testCosh.c'; fi`
-
-testSin-testSin.o: testSin.c
-@am__fastdepCC_TRUE@ if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testSin_CFLAGS) $(CFLAGS) -MT testSin-testSin.o -MD -MP -MF "$(DEPDIR)/testSin-testSin.Tpo" -c -o testSin-testSin.o `test -f 'testSin.c' || echo '$(srcdir)/'`testSin.c; \
-@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/testSin-testSin.Tpo" "$(DEPDIR)/testSin-testSin.Po"; else rm -f "$(DEPDIR)/testSin-testSin.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='testSin.c' object='testSin-testSin.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testSin_CFLAGS) $(CFLAGS) -c -o testSin-testSin.o `test -f 'testSin.c' || echo '$(srcdir)/'`testSin.c
-
-testSin-testSin.obj: testSin.c
-@am__fastdepCC_TRUE@ if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testSin_CFLAGS) $(CFLAGS) -MT testSin-testSin.obj -MD -MP -MF "$(DEPDIR)/testSin-testSin.Tpo" -c -o testSin-testSin.obj `if test -f 'testSin.c'; then $(CYGPATH_W) 'testSin.c'; else $(CYGPATH_W) '$(srcdir)/testSin.c'; fi`; \
-@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/testSin-testSin.Tpo" "$(DEPDIR)/testSin-testSin.Po"; else rm -f "$(DEPDIR)/testSin-testSin.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='testSin.c' object='testSin-testSin.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testSin_CFLAGS) $(CFLAGS) -c -o testSin-testSin.obj `if test -f 'testSin.c'; then $(CYGPATH_W) 'testSin.c'; else $(CYGPATH_W) '$(srcdir)/testSin.c'; fi`
-
-testSinh-testSinh.o: testSinh.c
-@am__fastdepCC_TRUE@ if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testSinh_CFLAGS) $(CFLAGS) -MT testSinh-testSinh.o -MD -MP -MF "$(DEPDIR)/testSinh-testSinh.Tpo" -c -o testSinh-testSinh.o `test -f 'testSinh.c' || echo '$(srcdir)/'`testSinh.c; \
-@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/testSinh-testSinh.Tpo" "$(DEPDIR)/testSinh-testSinh.Po"; else rm -f "$(DEPDIR)/testSinh-testSinh.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='testSinh.c' object='testSinh-testSinh.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testSinh_CFLAGS) $(CFLAGS) -c -o testSinh-testSinh.o `test -f 'testSinh.c' || echo '$(srcdir)/'`testSinh.c
-
-testSinh-testSinh.obj: testSinh.c
-@am__fastdepCC_TRUE@ if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testSinh_CFLAGS) $(CFLAGS) -MT testSinh-testSinh.obj -MD -MP -MF "$(DEPDIR)/testSinh-testSinh.Tpo" -c -o testSinh-testSinh.obj `if test -f 'testSinh.c'; then $(CYGPATH_W) 'testSinh.c'; else $(CYGPATH_W) '$(srcdir)/testSinh.c'; fi`; \
-@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/testSinh-testSinh.Tpo" "$(DEPDIR)/testSinh-testSinh.Po"; else rm -f "$(DEPDIR)/testSinh-testSinh.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='testSinh.c' object='testSinh-testSinh.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testSinh_CFLAGS) $(CFLAGS) -c -o testSinh-testSinh.obj `if test -f 'testSinh.c'; then $(CYGPATH_W) 'testSinh.c'; else $(CYGPATH_W) '$(srcdir)/testSinh.c'; fi`
-
-testTan-testTan.o: testTan.c
-@am__fastdepCC_TRUE@ if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testTan_CFLAGS) $(CFLAGS) -MT testTan-testTan.o -MD -MP -MF "$(DEPDIR)/testTan-testTan.Tpo" -c -o testTan-testTan.o `test -f 'testTan.c' || echo '$(srcdir)/'`testTan.c; \
-@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/testTan-testTan.Tpo" "$(DEPDIR)/testTan-testTan.Po"; else rm -f "$(DEPDIR)/testTan-testTan.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='testTan.c' object='testTan-testTan.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testTan_CFLAGS) $(CFLAGS) -c -o testTan-testTan.o `test -f 'testTan.c' || echo '$(srcdir)/'`testTan.c
-
-testTan-testTan.obj: testTan.c
-@am__fastdepCC_TRUE@ if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testTan_CFLAGS) $(CFLAGS) -MT testTan-testTan.obj -MD -MP -MF "$(DEPDIR)/testTan-testTan.Tpo" -c -o testTan-testTan.obj `if test -f 'testTan.c'; then $(CYGPATH_W) 'testTan.c'; else $(CYGPATH_W) '$(srcdir)/testTan.c'; fi`; \
-@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/testTan-testTan.Tpo" "$(DEPDIR)/testTan-testTan.Po"; else rm -f "$(DEPDIR)/testTan-testTan.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='testTan.c' object='testTan-testTan.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testTan_CFLAGS) $(CFLAGS) -c -o testTan-testTan.obj `if test -f 'testTan.c'; then $(CYGPATH_W) 'testTan.c'; else $(CYGPATH_W) '$(srcdir)/testTan.c'; fi`
-
-testTanh-testTanh.o: testTanh.c
-@am__fastdepCC_TRUE@ if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testTanh_CFLAGS) $(CFLAGS) -MT testTanh-testTanh.o -MD -MP -MF "$(DEPDIR)/testTanh-testTanh.Tpo" -c -o testTanh-testTanh.o `test -f 'testTanh.c' || echo '$(srcdir)/'`testTanh.c; \
-@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/testTanh-testTanh.Tpo" "$(DEPDIR)/testTanh-testTanh.Po"; else rm -f "$(DEPDIR)/testTanh-testTanh.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='testTanh.c' object='testTanh-testTanh.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testTanh_CFLAGS) $(CFLAGS) -c -o testTanh-testTanh.o `test -f 'testTanh.c' || echo '$(srcdir)/'`testTanh.c
-
-testTanh-testTanh.obj: testTanh.c
-@am__fastdepCC_TRUE@ if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testTanh_CFLAGS) $(CFLAGS) -MT testTanh-testTanh.obj -MD -MP -MF "$(DEPDIR)/testTanh-testTanh.Tpo" -c -o testTanh-testTanh.obj `if test -f 'testTanh.c'; then $(CYGPATH_W) 'testTanh.c'; else $(CYGPATH_W) '$(srcdir)/testTanh.c'; fi`; \
-@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/testTanh-testTanh.Tpo" "$(DEPDIR)/testTanh-testTanh.Po"; else rm -f "$(DEPDIR)/testTanh-testTanh.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='testTanh.c' object='testTanh-testTanh.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testTanh_CFLAGS) $(CFLAGS) -c -o testTanh-testTanh.obj `if test -f 'testTanh.c'; then $(CYGPATH_W) 'testTanh.c'; else $(CYGPATH_W) '$(srcdir)/testTanh.c'; fi`
-uninstall-info-am:
-
-ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
- list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
- unique=`for i in $$list; do \
- if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
- done | \
- $(AWK) ' { files[$$0] = 1; } \
- END { for (i in files) print i; }'`; \
- mkid -fID $$unique
-tags: TAGS
-
-TAGS: $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
- $(TAGS_FILES) $(LISP)
- tags=; \
- here=`pwd`; \
- list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
- unique=`for i in $$list; do \
- if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
- done | \
- $(AWK) ' { files[$$0] = 1; } \
- END { for (i in files) print i; }'`; \
- if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
- test -n "$$unique" || unique=$$empty_fix; \
- $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
- $$tags $$unique; \
- fi
-ctags: CTAGS
-CTAGS: $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
- $(TAGS_FILES) $(LISP)
- tags=; \
- here=`pwd`; \
- list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
- unique=`for i in $$list; do \
- if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
- done | \
- $(AWK) ' { files[$$0] = 1; } \
- END { for (i in files) print i; }'`; \
- test -z "$(CTAGS_ARGS)$$tags$$unique" \
- || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
- $$tags $$unique
-
-GTAGS:
- here=`$(am__cd) $(top_builddir) && pwd` \
- && cd $(top_srcdir) \
- && gtags -i $(GTAGS_ARGS) $$here
-
-distclean-tags:
- -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
-
-check-TESTS: $(TESTS)
- @failed=0; all=0; xfail=0; xpass=0; skip=0; \
- srcdir=$(srcdir); export srcdir; \
- list='$(TESTS)'; \
- if test -n "$$list"; then \
- for tst in $$list; do \
- if test -f ./$$tst; then dir=./; \
- elif test -f $$tst; then dir=; \
- else dir="$(srcdir)/"; fi; \
- if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
- all=`expr $$all + 1`; \
- case " $(XFAIL_TESTS) " in \
- *" $$tst "*) \
- xpass=`expr $$xpass + 1`; \
- failed=`expr $$failed + 1`; \
- echo "XPASS: $$tst"; \
- ;; \
- *) \
- echo "PASS: $$tst"; \
- ;; \
- esac; \
- elif test $$? -ne 77; then \
- all=`expr $$all + 1`; \
- case " $(XFAIL_TESTS) " in \
- *" $$tst "*) \
- xfail=`expr $$xfail + 1`; \
- echo "XFAIL: $$tst"; \
- ;; \
- *) \
- failed=`expr $$failed + 1`; \
- echo "FAIL: $$tst"; \
- ;; \
- esac; \
- else \
- skip=`expr $$skip + 1`; \
- echo "SKIP: $$tst"; \
- fi; \
- done; \
- if test "$$failed" -eq 0; then \
- if test "$$xfail" -eq 0; then \
- banner="All $$all tests passed"; \
- else \
- banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
- fi; \
- else \
- if test "$$xpass" -eq 0; then \
- banner="$$failed of $$all tests failed"; \
- else \
- banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
- fi; \
- fi; \
- dashes="$$banner"; \
- skipped=""; \
- if test "$$skip" -ne 0; then \
- skipped="($$skip tests were not run)"; \
- test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
- dashes="$$skipped"; \
- fi; \
- report=""; \
- if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
- report="Please report to $(PACKAGE_BUGREPORT)"; \
- test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
- dashes="$$report"; \
- fi; \
- dashes=`echo "$$dashes" | sed s/./=/g`; \
- echo "$$dashes"; \
- echo "$$banner"; \
- test -z "$$skipped" || echo "$$skipped"; \
- test -z "$$report" || echo "$$report"; \
- echo "$$dashes"; \
- test "$$failed" -eq 0; \
- else :; fi
-
-distdir: $(DISTFILES)
- @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
- topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
- list='$(DISTFILES)'; for file in $$list; do \
- case $$file in \
- $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
- $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
- esac; \
- if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
- dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
- if test "$$dir" != "$$file" && test "$$dir" != "."; then \
- dir="/$$dir"; \
- $(mkdir_p) "$(distdir)$$dir"; \
- else \
- dir=''; \
- fi; \
- if test -d $$d/$$file; then \
- if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
- cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
- fi; \
- cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
- else \
- test -f $(distdir)/$$file \
- || cp -p $$d/$$file $(distdir)/$$file \
- || exit 1; \
- fi; \
- done
-check-am: all-am
- $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
- $(MAKE) $(AM_MAKEFLAGS) check-TESTS
-check: check-am
-all-am: Makefile
-installdirs:
-install: install-am
-install-exec: install-exec-am
-install-data: install-data-am
-uninstall: uninstall-am
-
-install-am: all-am
- @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
-
-installcheck: installcheck-am
-install-strip:
- $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
- install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
- `test -z '$(STRIP)' || \
- echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
-mostlyclean-generic:
-
-clean-generic:
-
-distclean-generic:
- -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
-
-maintainer-clean-generic:
- @echo "This command is intended for maintainers to use"
- @echo "it deletes files that may require special tools to rebuild."
-clean: clean-am
-
-clean-am: clean-checkPROGRAMS clean-generic mostlyclean-am
-
-distclean: distclean-am
- -rm -rf ./$(DEPDIR)
- -rm -f Makefile
-distclean-am: clean-am distclean-compile distclean-generic \
- distclean-tags
-
-dvi: dvi-am
-
-dvi-am:
-
-html: html-am
-
-info: info-am
-
-info-am:
-
-install-data-am:
-
-install-exec-am:
-
-install-info: install-info-am
-
-install-man:
-
-installcheck-am:
-
-maintainer-clean: maintainer-clean-am
- -rm -rf ./$(DEPDIR)
- -rm -f Makefile
-maintainer-clean-am: distclean-am maintainer-clean-generic
-
-mostlyclean: mostlyclean-am
-
-mostlyclean-am: mostlyclean-compile mostlyclean-generic
-
-pdf: pdf-am
-
-pdf-am:
-
-ps: ps-am
-
-ps-am:
-
-uninstall-am: uninstall-info-am
-
-.PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
- clean-checkPROGRAMS clean-generic ctags distclean \
- distclean-compile distclean-generic distclean-tags distdir dvi \
- dvi-am html html-am info info-am install install-am \
- install-data install-data-am install-exec install-exec-am \
- install-info install-info-am install-man install-strip \
- installcheck installcheck-am installdirs maintainer-clean \
- maintainer-clean-generic mostlyclean mostlyclean-compile \
- mostlyclean-generic pdf pdf-am ps ps-am tags uninstall \
- uninstall-am uninstall-info-am
-
-#testAcos testAsin testAtan
-#testLog testExp testSqrt
-# Tell versions [3.59,3.63) of GNU make to not export all variables.
-# Otherwise a system limit (for SysV at least) may be exceeded.
-.NOEXPORT:
diff --git a/src/test/constant.h b/src/test/constant.h
deleted file mode 100644
index 473ea6a2..00000000
--- a/src/test/constant.h
+++ /dev/null
@@ -1,19 +0,0 @@
-/*
-** -*- C -*-
-**
-** constant.h
-** Made by Bruno JOFRET <bruno.jofret@inria.fr>
-**
-** Started on Fri Mar 30 12:03:14 2007 jofret
-** Last update Fri Mar 30 12:03:48 2007 jofret
-**
-** Copyright INRIA 2007
-*/
-
-#ifndef _CONSTANT_H_
-#define _CONSTANT_H_
-
-#define PI 3.1415826535
-
-#endif /* !_CONSTANT_H_ */
-
diff --git a/src/test/test.c b/src/test/test.c
deleted file mode 100644
index 8645cc6c..00000000
--- a/src/test/test.c
+++ /dev/null
@@ -1,62 +0,0 @@
-/*
-** -*- C -*-
-**
-** test.c
-** Made by Bruno JOFRET <bruno.jofret@inria.fr>
-**
-** Started on Fri Dec 8 14:53:51 2006 jofret
-** Last update Fri Feb 23 18:10:36 2007 jofret
-**
-** Copyright INRIA 2006
-*/
-
-#include <stdio.h>
-
-#include "test.h"
-
-void newline() {
- printf("\n");
-}
-
-int main(int argc, char** argv) {
- int cosStatus, coshStatus = 0;
- int sinStatus, sinhStatus = 0;
- int tanStatus, tanhStatus = 0;
- int expStatus = 0;
- int findStatus, isEmptyStatus = 0;
-
-
- printf("-*- -> Begin test sequence <- -*-");
- newline();
-
- /* Test Cosine stuffs */
- cosStatus = testCos();
- /* Test Hyperbolic Cosine stuffs */
- coshStatus = testCosh();
- /* Test Sine stuffs */
- sinStatus = testSin();
- /* Test Hyperbolic Sine stuffs */
- sinStatus = testSinh();
- /* Test Tangeant stuffs */
- tanStatus = testTan();
- /* Test Hyperbolic Tangeant stuffs */
- tanhStatus = testTanh();
- /* Test Exponential stuffs */
- expStatus = testExp();
-
-
- /* Test Find stuffs */
- findStatus = testFind();
- /* Test IsEmpty stuffs */
- isEmptyStatus = testIsEmpty();
-
-
- printf("-*- -> End test sequence <- -*-");
- newline();
-
- return (cosStatus+coshStatus+
- sinStatus+sinhStatus+
- tanStatus+tanhStatus+
- expStatus+
- findStatus+isEmptyStatus);
-}
diff --git a/src/test/test.h b/src/test/test.h
deleted file mode 100644
index b5734135..00000000
--- a/src/test/test.h
+++ /dev/null
@@ -1,56 +0,0 @@
-/*
-** -*- C -*-
-**
-** test.h
-** Made by Bruno JOFRET <bruno.jofret@inria.fr>
-**
-** Started on Fri Dec 8 15:00:40 2006 jofret
-** Last update Wed Feb 14 15:49:51 2007 jofret
-**
-** Copyright INRIA 2006
-*/
-
-/*
-** \brief Cosine Test
-*/
-int testCos();
-
-/*
-** \brief Hyperbolic Cosine Test
-*/
-int testCosh();
-
-/*
-** \brief Sine Test
-*/
-int testSin();
-
-/*
-** \brief Hyperbolic Sine Test
-*/
-int testSinh();
-
-/*
-** \brief Tangeant Test
-*/
-int testTan();
-
-/*
-** \brief Hyperbolic Tangeant Test
-*/
-int testTanh();
-
-/*
-** \brief Exponential Test
-*/
-int testExp();
-
-/*
-** \brief Find Test
-*/
-int testFind();
-
-/*
-** \brief IsEmpty Test
-*/
-int testIsEmpty();
diff --git a/src/test/testCos.c b/src/test/testCos.c
deleted file mode 100644
index 3059567e..00000000
--- a/src/test/testCos.c
+++ /dev/null
@@ -1,150 +0,0 @@
-/*
-** -*- C -*-
-**
-** testCos.c
-** Made by Bruno JOFRET <bruno.jofret@inria.fr>
-**
-** Started on Fri Dec 8 15:05:44 2006 jofret
-** Last update Fri Mar 30 11:12:04 2007 jofret
-**
-** Copyright INRIA 2006
-*/
-
-#include "testCos.h"
-
-void scossTest(void) {
- printf(">> Float scalar\n");
- printf("scoss(0) = %f\n", scoss((float) 0));
- printf("scoss(PI) = %f\n", scoss(PI));
- printf("scoss(PI/2) = %f\n", scoss(PI/2));
- printf("scoss(PI/3) = %f\n", scoss(PI/3));
- printf("scoss(PI/4) = %f\n", scoss(PI/4));
- printf("scoss(PI/6) = %f\n", scoss(PI/6));
- printf("scoss(-PI) = %f\n", scoss(-PI));
- printf("scoss(-PI/2) = %f\n", scoss(-PI/2));
- printf("scoss(-PI/3) = %f\n", scoss(-PI/3));
- printf("scoss(-PI/4) = %f\n", scoss(-PI/4));
- printf("scoss(-PI/6) = %f\n", scoss(-PI/6));
-}
-
-void dcossTest(void) {
- printf(">> Double scalar\n");
- printf("dcoss(0) = %e\n", dcoss((double) 0));
- printf("dcoss(PI) = %e\n", dcoss(PI));
- printf("dcoss(PI/2) = %e\n", dcoss(PI/2));
- printf("dcoss(PI/3) = %e\n", dcoss(PI/3));
- printf("dcoss(PI/4) = %e\n", dcoss(PI/4));
- printf("dcoss(PI/6) = %e\n", dcoss(PI/6));
- printf("dcoss(-PI) = %e\n", dcoss(-PI));
- printf("dcoss(-PI/2) = %e\n", dcoss(-PI/2));
- printf("dcoss(-PI/3) = %e\n", dcoss(-PI/3));
- printf("dcoss(-PI/4) = %e\n", dcoss(-PI/4));
- printf("dcoss(-PI/6) = %e\n", dcoss(-PI/6));
-}
-
-void ccossTest(void) {
- floatComplex pi_pi = FloatComplex(PI, PI);
- floatComplex pi_2_pi_2 = FloatComplex(PI/2, PI/2);
- floatComplex pi_2_pi_3 = FloatComplex(PI/2, PI/3);
- floatComplex pi_2_pi_4 = FloatComplex(PI/2, PI/4);
- floatComplex out;
-
- printf(">> Float Complex scalar\n");
- out = ccoss(pi_pi);
- printf("ccoss(PI + I*PI) = %f + I * %f\n", creals(out), cimags(out));
- out = ccoss(pi_2_pi_2);
- printf("ccoss(PI/2 + I*PI/2) = %f + I * %f\n", creals(out), cimags(out));
- out = ccoss(pi_2_pi_3);
- printf("ccoss(PI/2 + I*PI/3) = %f + I * %f\n", creals(out), cimags(out));
- out = ccoss(pi_2_pi_4);
- printf("ccoss(PI/2 + I*PI/4) = %f + I * %f\n", creals(out), cimags(out));
-}
-
-void zcossTest(void) {
- doubleComplex pi_pi = DoubleComplex(PI, PI);
- doubleComplex pi_2_pi_2 = DoubleComplex(PI/2, PI/2);
- doubleComplex pi_2_pi_3 = DoubleComplex(PI/2, PI/3);
- doubleComplex pi_2_pi_4 = DoubleComplex(PI/2, PI/4);
- doubleComplex out;
-
- printf(">> Double Complex scalar\n");
- out = zcoss(pi_pi);
- printf("zcoss(PI + I*PI) = %e + I * %e\n", zreals(out), zimags(out));
- out = zcoss(pi_2_pi_2);
- printf("zcoss(PI/2 + I*PI/2) = %e + I * %e\n", zreals(out), zimags(out));
- out = zcoss(pi_2_pi_3);
- printf("zcoss(PI/2 + I*PI/3) = %e + I * %e\n", zreals(out), zimags(out));
- out = zcoss(pi_2_pi_4);
- printf("zcoss(PI/2 + I*PI/4) = %e + I * %e\n", zreals(out), zimags(out));
-}
-
-void scosaTest(void) {
- float out[5];
- float in[5] = {PI, PI/2, PI/3, PI/4, PI/6};
- int i = 0;
-
- printf(">> Float array\n");
- scosa(in, out, 5);
- for (i = 0 ; i < 5 ; ++i)
- printf("scosa(array) = %f\n", out[i]);
-}
-
-void dcosaTest(void) {
- double out[5];
- double in[5] = {PI, PI/2, PI/3, PI/4, PI/6};
- int i = 0;
-
- printf(">> Double Array\n");
- dcosa(in, out, 5);
- for (i = 0 ; i < 5 ; ++i)
- printf("scosa(array) = %f\n", out[i]);
-
-}
-
-void ccosaTest(void) {
- floatComplex pi_pi = FloatComplex(PI, PI);
- floatComplex pi_2_pi_2 = FloatComplex(PI/2, PI/2);
- floatComplex pi_2_pi_3 = FloatComplex(PI/2, PI/3);
- floatComplex pi_2_pi_4 = FloatComplex(PI/2, PI/4);
- floatComplex in[4] = {pi_pi, pi_2_pi_2, pi_2_pi_3, pi_2_pi_4};
- floatComplex out[4];
- int i = 0;
-
- ccosa(in, out, 4);
- printf(">> Float Complex Array\n");
- for (i = 0 ; i < 4 ; ++i)
- printf("ccosa(array) = %e + I * %e\n", creals(out[i]), cimags(out[i]));
-}
-
-void zcosaTest(void) {
- doubleComplex pi_pi = DoubleComplex(PI, PI);
- doubleComplex pi_2_pi_2 = DoubleComplex(PI/2, PI/2);
- doubleComplex pi_2_pi_3 = DoubleComplex(PI/2, PI/3);
- doubleComplex pi_2_pi_4 = DoubleComplex(PI/2, PI/4);
- doubleComplex in[4] = {pi_pi, pi_2_pi_2, pi_2_pi_3, pi_2_pi_4 };
- doubleComplex out[4];
- int i = 0;
-
- zcosa(in, out, 4);
- printf(">> Double Complex Array\n");
- for (i = 0 ; i < 4 ; ++i)
- printf("zcosa(array) = %e + I * %e\n", zreals(out[i]), zimags(out[i]));
-}
-
-int testCos(void) {
- printf("\n>>>> Cosine Tests\n");
- scossTest();
- dcossTest();
- ccossTest();
- zcossTest();
- scosaTest();
- dcosaTest();
- ccosaTest();
- zcosaTest();
- return 0;
-}
-
-int main(void) {
- assert(testCos() == 0);
- return 0;
-}
diff --git a/src/test/testCos.h b/src/test/testCos.h
deleted file mode 100644
index 41a9373c..00000000
--- a/src/test/testCos.h
+++ /dev/null
@@ -1,40 +0,0 @@
-/*
-** -*- C -*-
-**
-** testCos.h
-** Made by Bruno JOFRET <bruno.jofret@inria.fr>
-**
-** Started on Mon Mar 26 16:33:11 2007 jofret
-** Last update Fri Mar 30 12:04:25 2007 jofret
-**
-** Copyright INRIA 2007
-*/
-
-#ifndef _TESTCOS_H_
-#define _TESTCOS_H_
-
-#include <stdio.h>
-#include <assert.h>
-#include "cos.h"
-#include "constant.h"
-
-
-void scossTest(void);
-
-void dcossTest(void);
-
-void ccossTest(void);
-
-void zcossTest(void);
-
-void scosaTest(void);
-
-void dcosaTest(void);
-
-void ccosaTest(void);
-
-void zcosaTest(void);
-
-int testCos(void);
-
-#endif /* ! _TESTCOS_H_ */
diff --git a/src/test/testCosh.c b/src/test/testCosh.c
deleted file mode 100644
index ddb6fc79..00000000
--- a/src/test/testCosh.c
+++ /dev/null
@@ -1,64 +0,0 @@
-/*
-** -*- C -*-
-**
-** testCosh.c
-** Made by Bruno JOFRET <bruno.jofret@inria.fr>
-**
-** Started on Fri Dec 8 15:05:44 2006 jofret
-** Last update Fri Mar 30 11:42:57 2007 jofret
-**
-** Copyright INRIA 2006
-*/
-
-#include "testCosh.h"
-
-void scoshsTest(void) {
- printf(">> Float scalar\n");
- printf("scoshs(0) = %f\n", scoshs((float) 0));
- printf("scoshs(PI) = %f\n", scoshs(PI));
- printf("scoshs(PI/2) = %f\n", scoshs(PI/2));
- printf("scoshs(PI/3) = %f\n", scoshs(PI/3));
- printf("scoshs(PI/4) = %f\n", scoshs(PI/4));
- printf("scoshs(PI/6) = %f\n", scoshs(PI/6));
- printf("scoshs(-PI) = %f\n", scoshs(-PI));
- printf("scoshs(-PI/2) = %f\n", scoshs(-PI/2));
- printf("scoshs(-PI/3) = %f\n", scoshs(-PI/3));
- printf("scoshs(-PI/4) = %f\n", scoshs(-PI/4));
- printf("scoshs(-PI/6) = %f\n", scoshs(-PI/6));
-}
-
-void dcoshsTest(void) {
- printf(">> Double scalar\n");
- printf("dcoshs(0) = %e\n", dcoshs((double) 0));
- printf("dcoshs(PI) = %e\n", dcoshs(PI));
- printf("dcoshs(PI/2) = %e\n", dcoshs(PI/2));
- printf("dcoshs(PI/3) = %e\n", dcoshs(PI/3));
- printf("dcoshs(PI/4) = %e\n", dcoshs(PI/4));
- printf("dcoshs(PI/6) = %e\n", dcoshs(PI/6));
- printf("dcoshs(-PI) = %e\n", dcoshs(-PI));
- printf("dcoshs(-PI/2) = %e\n", dcoshs(-PI/2));
- printf("dcoshs(-PI/3) = %e\n", dcoshs(-PI/3));
- printf("dcoshs(-PI/4) = %e\n", dcoshs(-PI/4));
- printf("dcoshs(-PI/6) = %e\n", dcoshs(-PI/6));
-}
-
-int testCosh(void) {
- printf("\n>>>> Hyperbolic Cosine Tests\n");
- scoshsTest();
- dcoshsTest();
- /* FIXME : Implement some test here ... */
- /*
- ccoshsTest();
- zcoshsTest();
- scoshaTest();
- dcoshaTest();
- ccoshaTest();
- zcoshaTest();
- */
- return 0;
-}
-
-int main(void) {
- assert(testCosh() == 0);
- return 0;
-}
diff --git a/src/test/testCosh.h b/src/test/testCosh.h
deleted file mode 100644
index e34964c4..00000000
--- a/src/test/testCosh.h
+++ /dev/null
@@ -1,27 +0,0 @@
-/*
-** -*- C -*-
-**
-** testCosh.h
-** Made by Bruno JOFRET <bruno.jofret@inria.fr>
-**
-** Started on Fri Mar 30 11:35:55 2007 jofret
-** Last update Fri Mar 30 12:07:33 2007 jofret
-**
-** Copyright INRIA 2007
-*/
-
-#ifndef _TESTCOSH_H_
-#define _TESTCOSH_H_
-
-#include <stdio.h>
-#include <assert.h>
-#include "cosh.h"
-#include "constant.h"
-
-void scoshsTest(void);
-
-void dcoshsTest(void);
-
-int testCosh(void);
-
-#endif /*! _TESTCOSH_H_ */
diff --git a/src/test/testExp.c b/src/test/testExp.c
deleted file mode 100644
index cead79bf..00000000
--- a/src/test/testExp.c
+++ /dev/null
@@ -1,63 +0,0 @@
-/*
-** -*- C -*-
-**
-** testExp.c
-** Made by Bruno JOFRET <bruno.jofret@inria.fr>
-**
-** Started on Fri Dec 8 15:05:44 2006 jofret
-** Last update Fri Feb 23 18:09:59 2007 jofret
-**
-** Copyright INRIA 2006
-*/
-
-#include <stdio.h>
-
-#include "exp.h"
-
-#define PI 3.1415826535
-
-void sexpsTest() {
- printf(">> Float scalar\n");
- printf("sexps(0) = %f\n", sexps((float) 0));
- printf("sexps(PI) = %f\n", sexps(PI));
- printf("sexps(PI/2) = %f\n", sexps(PI/2));
- printf("sexps(PI/3) = %f\n", sexps(PI/3));
- printf("sexps(PI/4) = %f\n", sexps(PI/4));
- printf("sexps(PI/6) = %f\n", sexps(PI/6));
- printf("sexps(-PI) = %f\n", sexps(-PI));
- printf("sexps(-PI/2) = %f\n", sexps(-PI/2));
- printf("sexps(-PI/3) = %f\n", sexps(-PI/3));
- printf("sexps(-PI/4) = %f\n", sexps(-PI/4));
- printf("sexps(-PI/6) = %f\n", sexps(-PI/6));
-}
-
-void dexpsTest() {
- printf(">> Double scalar\n");
- printf("dexps(0) = %e\n", dexps((double) 0));
- printf("dexps(PI) = %e\n", dexps(PI));
- printf("dexps(PI/2) = %e\n", dexps(PI/2));
- printf("dexps(PI/3) = %e\n", dexps(PI/3));
- printf("dexps(PI/4) = %e\n", dexps(PI/4));
- printf("dexps(PI/6) = %e\n", dexps(PI/6));
- printf("dexps(-PI) = %e\n", dexps(-PI));
- printf("dexps(-PI/2) = %e\n", dexps(-PI/2));
- printf("dexps(-PI/3) = %e\n", dexps(-PI/3));
- printf("dexps(-PI/4) = %e\n", dexps(-PI/4));
- printf("dexps(-PI/6) = %e\n", dexps(-PI/6));
-}
-
-int testExp() {
- printf("\n>>>> Exponential Tests\n");
- sexpsTest();
- dexpsTest();
- /* FIXME : Implement some test here ... */
- /*
- cexpsTest();
- zexpsTest();
- sexpaTest();
- dexpaTest();
- cexpaTest();
- zexpaTest();
- */
- return 0;
-}
diff --git a/src/test/testFind.c b/src/test/testFind.c
deleted file mode 100644
index ee5b5edc..00000000
--- a/src/test/testFind.c
+++ /dev/null
@@ -1,64 +0,0 @@
-/*
-** -*- C -*-
-**
-** testFind.c
-** Made by Bruno JOFRET <bruno.jofret@inria.fr>
-**
-** Started on Wed Feb 14 15:50:15 2007 jofret
-** Last update Fri Feb 23 18:09:45 2007 jofret
-**
-** Copyright INRIA 2007
-*/
-
-#include <stdio.h>
-
-#include "find.h"
-
-#define ERROR 42
-
-int sfindaTest() {
- printf(">> Floats \n");
- float goodArray[5] = {0.,2.,3.,5.,10.};
- float badArray[5] = {0.,0.,0.,0.,0.};
- if (sfinda(goodArray, 5) != 1) {
- printf("ERROR ! : Test Failed (non empty array)\n");
- return ERROR;
- }
- if (sfinda(badArray, 5) != NOT_FOUND) {
- printf("ERROR ! : Test Failed (empty array)\n");
- return ERROR;
- }
- return 0;
-}
-
-int dfindaTest() {
- printf(">> Doubles \n");
- /* FIXME : Implement some test here ... */
- return 0;
-}
-
-int cfindaTest() {
- printf(">> Float Complex \n");
- /* FIXME : Implement some test here ... */
- return 0;
-}
-
-int zfindaTest() {
- printf(">> Double Complex \n");
- /* FIXME : Implement some test here ... */
- return 0;
-}
-
-int testFind() {
- int sfindaStatus, dfindaStatus = 0;
- int cfindaStatus, zfindaStatus = 0;
-
- printf(">>>> Find Tests\n");
- sfindaStatus = sfindaTest();
- dfindaStatus = dfindaTest();
- cfindaStatus = cfindaTest();
- zfindaStatus = zfindaTest();
-
- return (sfindaStatus + dfindaStatus +
- cfindaStatus + zfindaStatus);
-}
diff --git a/src/test/testIsEmpty.c b/src/test/testIsEmpty.c
deleted file mode 100644
index 041db1e2..00000000
--- a/src/test/testIsEmpty.c
+++ /dev/null
@@ -1,79 +0,0 @@
-/*
-** -*- C -*-
-**
-** testIsEmpty.c
-** Made by Bruno JOFRET <bruno.jofret@inria.fr>
-**
-** Started on Wed Feb 14 16:07:57 2007 jofret
-** Last update Fri Feb 23 18:09:19 2007 jofret
-**
-** Copyright INRIA 2007
-*/
-
-#include <stdio.h>
-
-#include "isEmpty.h"
-
-#define ERROR 51
-
-int sisemptyaTest() {
- printf(">> Float array\n");
- float empty[5] = {0., 0., 0., 0., 0.};
- float full[5] = {1., 2., 3., 0., 0.};
-
- if (sisEmptya(empty, 5) == false) {
- printf("ERROR ! : Test Failed (empty array)\n");
- return ERROR;
- }
-
- if (sisEmptya(full, 5) == true) {
- printf("ERROR ! : Test Failed (non empty array)\n");
- return ERROR;
- }
-
- return 0;
-}
-
-int disemptyaTest() {
- printf(">> Double array\n");
-
- double empty[5] = {0., 0., 0., 0., 0.};
- double full[5] = {1., 2., 3., 0., 0.};
-
- if (disEmptya(empty, 5) == false) {
- printf("ERROR ! : Test Failed (empty array)\n");
- return ERROR;
- }
-
- if (disEmptya(full, 5) == true) {
- printf("ERROR ! : Test Failed (non empty array)\n");
- return ERROR;
- }
-
- return 0;
-}
-
-int cisemptyaTest() {
- printf(">> Float Complex array\n");
-
- return 0;
-}
-
-int zisemptyaTest() {
- printf(">> Double Complex array\n");
- return 0;
-}
-
-
-int testIsEmpty() {
- int sisemptyaTestStatus, disemptyaTestStatus = 0;
- int cisemptyaTestStatus, zisemptyaTestStatus = 0;
- printf("\n>>>> IsEmpty Tests\n");
- sisemptyaTestStatus = sisemptyaTest();
- disemptyaTestStatus = disemptyaTest();
- cisemptyaTestStatus = cisemptyaTest();
- zisemptyaTestStatus = zisemptyaTest();
-
- return (sisemptyaTestStatus + disemptyaTestStatus +
- cisemptyaTestStatus + zisemptyaTestStatus);
-}
diff --git a/src/test/testSin.c b/src/test/testSin.c
deleted file mode 100644
index 0efe6396..00000000
--- a/src/test/testSin.c
+++ /dev/null
@@ -1,64 +0,0 @@
-/*
-** -*- C -*-
-**
-** testSin.c
-** Made by Bruno JOFRET <bruno.jofret@inria.fr>
-**
-** Started on Fri Dec 8 15:06:16 2006 jofret
-** Last update Fri Mar 30 11:12:32 2007 jofret
-**
-** Copyright INRIA 2006
-*/
-
-#include "testSin.h"
-
-void ssinsTest() {
- printf(">> Float scalar\n");
- printf("ssins(0) = %f\n", ssins((float) 0));
- printf("ssins(PI) = %f\n", ssins(PI));
- printf("ssins(PI/2) = %f\n", ssins(PI/2));
- printf("ssins(PI/3) = %f\n", ssins(PI/3));
- printf("ssins(PI/4) = %f\n", ssins(PI/4));
- printf("ssins(PI/6) = %f\n", ssins(PI/6));
- printf("ssins(-PI) = %f\n", ssins(-PI));
- printf("ssins(-PI/2) = %f\n", ssins(-PI/2));
- printf("ssins(-PI/3) = %f\n", ssins(-PI/3));
- printf("ssins(-PI/4) = %f\n", ssins(-PI/4));
- printf("ssins(-PI/6) = %f\n", ssins(-PI/6));
-}
-
-void dsinsTest() {
- printf(">> Double scalar\n");
- printf("dsins(0) = %e\n", dsins((double) 0));
- printf("dsins(PI) = %e\n", dsins(PI));
- printf("dsins(PI/2) = %e\n", dsins(PI/2));
- printf("dsins(PI/3) = %e\n", dsins(PI/3));
- printf("dsins(PI/4) = %e\n", dsins(PI/4));
- printf("dsins(PI/6) = %e\n", dsins(PI/6));
- printf("dsins(-PI) = %e\n", dsins(-PI));
- printf("dsins(-PI/2) = %e\n", dsins(-PI/2));
- printf("dsins(-PI/3) = %e\n", dsins(-PI/3));
- printf("dsins(-PI/4) = %e\n", dsins(-PI/4));
- printf("dsins(-PI/6) = %e\n", dsins(-PI/6));
-}
-
-int testSin() {
- printf("\n>>>> Sine Tests\n");
- ssinsTest();
- dsinsTest();
- /* FIXME : Implement some test here ... */
- /*
- csinsTest();
- zsinsTest();
- ssinaTest();
- dsinaTest();
- csinaTest();
- zsinaTest();
- */
- return 0;
-}
-
-int main(void) {
- assert(testSin() == 0);
- return 0;
-}
diff --git a/src/test/testSin.h b/src/test/testSin.h
deleted file mode 100644
index 1921e331..00000000
--- a/src/test/testSin.h
+++ /dev/null
@@ -1,27 +0,0 @@
-/*
-** -*- C -*-
-**
-** testSin.h
-** Made by Bruno JOFRET <bruno.jofret@inria.fr>
-**
-** Started on Mon Mar 26 17:21:21 2007 jofret
-** Last update Fri Mar 30 12:04:46 2007 jofret
-**
-** Copyright INRIA 2007
-*/
-
-#ifndef _TESTSIN_H_
-#define _TESTSIN_H_
-
-#include <stdio.h>
-#include <assert.h>
-#include "sin.h"
-#include "constant.h"
-
-void ssinsTest(void);
-
-void dsinsTest(void);
-
-int testSin(void);
-
-#endif /* !_TESTSIN_H_ */
diff --git a/src/test/testSinh.c b/src/test/testSinh.c
deleted file mode 100644
index acc837a2..00000000
--- a/src/test/testSinh.c
+++ /dev/null
@@ -1,64 +0,0 @@
-/*
-** -*- C -*-
-**
-** testSinh.c
-** Made by Bruno JOFRET <bruno.jofret@inria.fr>
-**
-** Started on Fri Dec 8 15:06:16 2006 jofret
-** Last update Fri Mar 30 12:10:15 2007 jofret
-**
-** Copyright INRIA 2006
-*/
-
-#include "testSinh.h"
-
-void ssinhsTest() {
- printf(">> Float scalar\n");
- printf("ssinhs(0) = %f\n", ssinhs((float) 0));
- printf("ssinhs(PI) = %f\n", ssinhs(PI));
- printf("ssinhs(PI/2) = %f\n", ssinhs(PI/2));
- printf("ssinhs(PI/3) = %f\n", ssinhs(PI/3));
- printf("ssinhs(PI/4) = %f\n", ssinhs(PI/4));
- printf("ssinhs(PI/6) = %f\n", ssinhs(PI/6));
- printf("ssinhs(-PI) = %f\n", ssinhs(-PI));
- printf("ssinhs(-PI/2) = %f\n", ssinhs(-PI/2));
- printf("ssinhs(-PI/3) = %f\n", ssinhs(-PI/3));
- printf("ssinhs(-PI/4) = %f\n", ssinhs(-PI/4));
- printf("ssinhs(-PI/6) = %f\n", ssinhs(-PI/6));
-}
-
-void dsinhsTest() {
- printf(">> Double scalar\n");
- printf("dsinhs(0) = %e\n", dsinhs((double) 0));
- printf("dsinhs(PI) = %e\n", dsinhs(PI));
- printf("dsinhs(PI/2) = %e\n", dsinhs(PI/2));
- printf("dsinhs(PI/3) = %e\n", dsinhs(PI/3));
- printf("dsinhs(PI/4) = %e\n", dsinhs(PI/4));
- printf("dsinhs(PI/6) = %e\n", dsinhs(PI/6));
- printf("dsinhs(-PI) = %e\n", dsinhs(-PI));
- printf("dsinhs(-PI/2) = %e\n", dsinhs(-PI/2));
- printf("dsinhs(-PI/3) = %e\n", dsinhs(-PI/3));
- printf("dsinhs(-PI/4) = %e\n", dsinhs(-PI/4));
- printf("dsinhs(-PI/6) = %e\n", dsinhs(-PI/6));
-}
-
-int testSinh() {
- printf("\n>>>> Hyperbolic Sine Tests\n");
- ssinhsTest();
- dsinhsTest();
- /* FIXME : Implement some test here ... */
- /*
- csinhsTest();
- zsinhsTest();
- ssinhaTest();
- dsinhaTest();
- csinhaTest();
- zsinhaTest();
- */
- return 0;
-}
-
-int main() {
- assert(testSinh() == 0);
- return 0;
-}
diff --git a/src/test/testSinh.h b/src/test/testSinh.h
deleted file mode 100644
index 2e20b05c..00000000
--- a/src/test/testSinh.h
+++ /dev/null
@@ -1,27 +0,0 @@
-/*
-** -*- C -*-
-**
-** testSinh.h
-** Made by Bruno JOFRET <bruno.jofret@inria.fr>
-**
-** Started on Fri Mar 30 12:01:28 2007 jofret
-** Last update Fri Mar 30 12:08:11 2007 jofret
-**
-** Copyright INRIA 2007
-*/
-
-#ifndef _TESTSINH_H_
-#define _TESTSINH_H_
-
-#include <stdio.h>
-#include <assert.h>
-#include "sinh.h"
-#include "constant.h"
-
-void ssinhsTest(void);
-
-void dsinhsTest(void);
-
-int testSinh(void);
-
-#endif /* !_TESTSINH_H_ */
diff --git a/src/test/testTan.c b/src/test/testTan.c
deleted file mode 100644
index 9200d3bb..00000000
--- a/src/test/testTan.c
+++ /dev/null
@@ -1,64 +0,0 @@
-/*
-** -*- C -*-
-**
-** testTan.c
-** Made by Bruno JOFRET <bruno.jofret@inria.fr>
-**
-** Started on Fri Dec 8 15:05:44 2006 jofret
-** Last update Fri Mar 30 11:24:54 2007 jofret
-**
-** Copyright INRIA 2006
-*/
-
-#include "testTan.h"
-
-void stansTest() {
- printf(">> Float scalar\n");
- printf("stans(0) = %f\n", stans((float) 0));
- printf("stans(PI) = %f\n", stans(PI));
- printf("stans(PI/2) = %f\n", stans(PI/2));
- printf("stans(PI/3) = %f\n", stans(PI/3));
- printf("stans(PI/4) = %f\n", stans(PI/4));
- printf("stans(PI/6) = %f\n", stans(PI/6));
- printf("stans(-PI) = %f\n", stans(-PI));
- printf("stans(-PI/2) = %f\n", stans(-PI/2));
- printf("stans(-PI/3) = %f\n", stans(-PI/3));
- printf("stans(-PI/4) = %f\n", stans(-PI/4));
- printf("stans(-PI/6) = %f\n", stans(-PI/6));
-}
-
-void dtansTest() {
- printf(">> Double scalar\n");
- printf("dtans(0) = %e\n", dtans((double) 0));
- printf("dtans(PI) = %e\n", dtans(PI));
- printf("dtans(PI/2) = %e\n", dtans(PI/2));
- printf("dtans(PI/3) = %e\n", dtans(PI/3));
- printf("dtans(PI/4) = %e\n", dtans(PI/4));
- printf("dtans(PI/6) = %e\n", dtans(PI/6));
- printf("dtans(-PI) = %e\n", dtans(-PI));
- printf("dtans(-PI/2) = %e\n", dtans(-PI/2));
- printf("dtans(-PI/3) = %e\n", dtans(-PI/3));
- printf("dtans(-PI/4) = %e\n", dtans(-PI/4));
- printf("dtans(-PI/6) = %e\n", dtans(-PI/6));
-}
-
-int testTan() {
- printf("\n>>>> Tangeant Tests\n");
- stansTest();
- dtansTest();
- /* FIXME : Implement some test here ... */
- /*
- ctansTest();
- ztansTest();
- stanaTest();
- dtanaTest();
- ctanaTest();
- ztanaTest();
- */
- return 0;
-}
-
-int main() {
- assert(testTan() == 0);
- return 0;
-}
diff --git a/src/test/testTan.h b/src/test/testTan.h
deleted file mode 100644
index 1e1cac62..00000000
--- a/src/test/testTan.h
+++ /dev/null
@@ -1,27 +0,0 @@
-/*
-** -*- C -*-
-**
-** testTan.h
-** Made by Bruno JOFRET <bruno.jofret@inria.fr>
-**
-** Started on Fri Mar 30 11:22:40 2007 jofret
-** Last update Fri Mar 30 12:05:07 2007 jofret
-**
-** Copyright INRIA 2007
-*/
-
-#ifndef _TESTTAN_H_
-#define _TESTTAN_H_
-
-#include <stdio.h>
-#include <assert.h>
-#include "tan.h"
-#include "constant.h"
-
-void stansTest(void);
-
-void dtansTest(void);
-
-int testTan(void);
-
-#endif /* !_TESTTAN_H_ */
diff --git a/src/test/testTanh.c b/src/test/testTanh.c
deleted file mode 100644
index f0ee3e61..00000000
--- a/src/test/testTanh.c
+++ /dev/null
@@ -1,91 +0,0 @@
-/*
-** -*- C -*-
-**
-** testTanh.c
-** Made by Bruno JOFRET <bruno.jofret@inria.fr>
-**
-** Started on Fri Dec 8 15:05:44 2006 jofret
-** Last update Fri Mar 30 14:07:53 2007 jofret
-**
-** Copyright INRIA 2006
-*/
-
-#include "testTanh.h"
-
-void stanhsTest() {
- printf(">> Float scalar\n");
- printf("stanhs(0) = %f\n", stanhs((float) 0));
- printf("stanhs(PI) = %f\n", stanhs(PI));
- printf("stanhs(PI/2) = %f\n", stanhs(PI/2));
- printf("stanhs(PI/3) = %f\n", stanhs(PI/3));
- printf("stanhs(PI/4) = %f\n", stanhs(PI/4));
- printf("stanhs(PI/6) = %f\n", stanhs(PI/6));
- printf("stanhs(-PI) = %f\n", stanhs(-PI));
- printf("stanhs(-PI/2) = %f\n", stanhs(-PI/2));
- printf("stanhs(-PI/3) = %f\n", stanhs(-PI/3));
- printf("stanhs(-PI/4) = %f\n", stanhs(-PI/4));
- printf("stanhs(-PI/6) = %f\n", stanhs(-PI/6));
-}
-
-void dtanhsTest() {
- printf(">> Double scalar\n");
- printf("dtanhs(0) = %e\n", dtanhs((double) 0));
- printf("dtanhs(PI) = %e\n", dtanhs(PI));
- printf("dtanhs(PI/2) = %e\n", dtanhs(PI/2));
- printf("dtanhs(PI/3) = %e\n", dtanhs(PI/3));
- printf("dtanhs(PI/4) = %e\n", dtanhs(PI/4));
- printf("dtanhs(PI/6) = %e\n", dtanhs(PI/6));
- printf("dtanhs(-PI) = %e\n", dtanhs(-PI));
- printf("dtanhs(-PI/2) = %e\n", dtanhs(-PI/2));
- printf("dtanhs(-PI/3) = %e\n", dtanhs(-PI/3));
- printf("dtanhs(-PI/4) = %e\n", dtanhs(-PI/4));
- printf("dtanhs(-PI/6) = %e\n", dtanhs(-PI/6));
-}
-
-void ctanhsTest() {
- printf(">> Float Complex scalar\n");
- /* FIXME : Implement some test here ... */
-}
-
-void ztanhsTest() {
- printf(">> Double Complex scalar\n");
- /* FIXME : Implement some test here ... */
-}
-
-void stanhaTest() {
- printf(">> Float array\n");
- /* FIXME : Implement some test here ... */
-}
-
-void dtanhaTest() {
- printf(">> Double array\n");
- /* FIXME : Implement some test here ... */
-}
-
-void ctanhaTest() {
- printf(">> Float Complex array\n");
- /* FIXME : Implement some test here ... */
-}
-
-void ztanhaTest() {
- printf(">> Double Complex array\n");
- /* FIXME : Implement some test here ... */
-}
-
-int testTanh() {
- printf("\n>>>> Hyperbolic Tangeant Tests\n");
- stanhsTest();
- dtanhsTest();
- ctanhsTest();
- ztanhsTest();
- stanhaTest();
- dtanhaTest();
- ctanhaTest();
- ztanhaTest();
- return 0;
-}
-
-int main() {
- assert(testTanh() == 0);
- return 0;
-}
diff --git a/src/test/testTanh.h b/src/test/testTanh.h
deleted file mode 100644
index 35c3b565..00000000
--- a/src/test/testTanh.h
+++ /dev/null
@@ -1,39 +0,0 @@
-/*
-** -*- C -*-
-**
-** testTanh.h
-** Made by Bruno JOFRET <bruno.jofret@inria.fr>
-**
-** Started on Fri Mar 30 14:04:02 2007 jofret
-** Last update Fri Mar 30 14:12:06 2007 jofret
-**
-** Copyright INRIA 2007
-*/
-
-#ifndef _TESTTANH_H_
-#define _TESTTANH_H_
-
-#include <stdio.h>
-#include <assert.h>
-#include "tanh.h"
-#include "constant.h"
-
-void stanhsTest(void);
-
-void dtanhsTest(void);
-
-void ctanhsTest(void);
-
-void ztanhsTest(void);
-
-void stanhaTest(void);
-
-void dtanhaTest(void);
-
-void ctanhaTest(void);
-
-void ztanhaTest(void);
-
-int testTanh(void);
-
-#endif /* !_TESTTANH_H_ */